MONGOC_APM_COMMAND_SUCCEEDED_GET_SERVER_CONNECTION_ID(3)

NAME
mongoc_apm_command_succeeded_get_server_connection_id - mongoc_apm_command_succeeded_get_server_connection_id()

WARNING: Deprecated since version 1.24.0: This function is deprecated and should not be used in new code.

Please use mongoc_apm_command_succeeded_get_server_connection_id_int64() in new code.

SYNOPSIS

int32_t
mongoc_apm_command_succeeded_get_server_connection_id (
  const mongoc_apm_command_succeeded_t *event)
  BSON_GNUC_DEPRECATED_FOR (
      "mongoc_apm_command_succeeded_get_server_connection_id_int64");

Returns the server connection ID for the command. The server connection ID is distinct from the server ID (mongoc_apm_command_succeeded_get_server_id()) and is returned by the hello or legacy hello response as "connectionId" from the server on 4.2+.

PARAMETERS

•   event: A mongoc_apm_command_succeeded_t.

RETURNS

The server connection ID as a positive integer or -1 if it is not available.

SEE ALSO:
Introduction to Application Performance Monitoring

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc